summaryrefslogtreecommitdiff
path: root/scripts/docker-build/build-docker.sh
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2022-04-04 15:01:00 -0500
committerJohn Klug <john.klug@multitech.com>2022-04-04 15:01:00 -0500
commit7a33c71cb2493c60d83863191107e1f58733adde (patch)
tree353dc8976d7430e912c50fbe93ebb7e5b61c4e87 /scripts/docker-build/build-docker.sh
parent64deb3b15d7ce3aba36fc0d457076d70887472bc (diff)
downloadmeta-mlinux-7a33c71cb2493c60d83863191107e1f58733adde.tar.gz
meta-mlinux-7a33c71cb2493c60d83863191107e1f58733adde.tar.bz2
meta-mlinux-7a33c71cb2493c60d83863191107e1f58733adde.zip
How to build an image from the source tarball
Diffstat (limited to 'scripts/docker-build/build-docker.sh')
-rwxr-xr-xscripts/docker-build/build-docker.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/docker-build/build-docker.sh b/scripts/docker-build/build-docker.sh
new file mode 100755
index 0000000..d6b6436
--- /dev/null
+++ b/scripts/docker-build/build-docker.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Build a Docker image to build mLinux 6
+docker container stop mlinux-build || true
+docker container rm mlinux-build || true
+docker build --network=host -t yocto-bionic .
+docker run -P -itd --name mlinux-build yocto-bionic:latest bash
+echo 'You should be able to ssh to the following address at port 22 (the ssh port):'
+docker inspect -f "{{ .NetworkSettings.IPAddress }}" mlinux-build
+echo 'Printing out the userid:password for ssh access'
+docker exec mlinux-build /bin/cat /home/mlbuilder/password.txt
+docker exec -it mlinux-build /bin/bash